# DaprProtos.SubscribeConfigurationResponseOrBuilder (dapr-sdk-parent 1.10.0 API)

Package io.dapr.v1

## Interface DaprProtos.SubscribeConfigurationResponseOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `DaprProtos.SubscribeConfigurationResponse`, `DaprProtos.SubscribeConfigurationResponse.Builder`

Enclosing class:
  DaprProtos

    public static interface DaprProtos.SubscribeConfigurationResponseOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`boolean` `containsItems​(String key)` The list of items containing configuration values
`String` `getId()` Subscribe id, used to stop subscription.
`com.google.protobuf.ByteString` `getIdBytes()` Subscribe id, used to stop subscription.
`Map<String,​CommonProtos.ConfigurationItem>` `getItems()` Deprecated.
`int` `getItemsCount()` The list of items containing configuration values
`Map<String,​CommonProtos.ConfigurationItem>` `getItemsMap()` The list of items containing configuration values
`CommonProtos.ConfigurationItem` `getItemsOrDefault​(String key, CommonProtos.ConfigurationItem defaultValue)` The list of items containing configuration values
`CommonProtos.ConfigurationItem` `getItemsOrThrow​(String key)` The list of items containing configuration values

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getId

    String getId()

     Subscribe id, used to stop subscription.

`string id = 1;`

Returns:
  The id.

#### getIdBytes

    com.google.protobuf.ByteString getIdBytes()

     Subscribe id, used to stop subscription.

`string id = 1;`

Returns:
  The bytes for id.

#### getItemsCount

    int getItemsCount()

     The list of items containing configuration values

`map<string, .dapr.proto.common.v1.ConfigurationItem> items = 2;`

#### containsItems

    boolean containsItems​(String key)

     The list of items containing configuration values

`map<string, .dapr.proto.common.v1.ConfigurationItem> items = 2;`

#### getItems

    @Deprecated
    Map<String,​CommonProtos.ConfigurationItem> getItems()

Deprecated.
Use `getItemsMap()` instead.

#### getItemsMap

    Map<String,​CommonProtos.ConfigurationItem> getItemsMap()

     The list of items containing configuration values

`map<string, .dapr.proto.common.v1.ConfigurationItem> items = 2;`

#### getItemsOrDefault

    CommonProtos.ConfigurationItem getItemsOrDefault​(String key,
                                                     CommonProtos.ConfigurationItem defaultValue)

     The list of items containing configuration values

`map<string, .dapr.proto.common.v1.ConfigurationItem> items = 2;`

#### getItemsOrThrow

    CommonProtos.ConfigurationItem getItemsOrThrow​(String key)

     The list of items containing configuration values

`map<string, .dapr.proto.common.v1.ConfigurationItem> items = 2;`